/********** Template CSS **********/
:root {
    --primary: linear-gradient(120deg, #b03d98, #46c9fc);
    --secondary: #FB9F38;
    --light: hsl(0deg 0% 100% / 90%);
    --dark: #252C30;
    --text-primary: #3f549b;
    --text-secondary: #82aed5;
}

.back-to-top {
    position: fixed;
    display: none;
    right: 30px;
    bottom: 30px;
    z-index: 99;
}

.fw-medium {
    font-weight: 600;
}

.fw-bold {
    font-weight: 700;
}

.fw-black {
    font-weight: 900;
}


/*** Spinner ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}


/*** Button ***/
.btn {
    transition: .5s;
    font-weight: 500;
}

.btn-primary,
.btn-outline-primary:hover {
    color: var(--light);
}

.btn-secondary,
.btn-outline-secondary:hover {
    color: var(--dark);
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}


/*** Navbar ***/
.sticky-top {
    top: -150px;
    transition: .5s;
}

.navbar .navbar-brand {
    position: absolute;
    padding: 0;
    width: 170px;
    height: 135px;
    top: 0;
    left: 0;
}

.navbar .navbar-nav .nav-link {
    margin-right: 35px;
    padding: 25px 0;
    color: var(--text-primary);
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 2px;
    outline: none;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
    color: var(--text-secondary);
}

.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    vertical-align: middle;
    margin-left: 8px;
}

@media (max-width: 991.98px) {
    .navbar .navbar-brand {
        width: 126px;
        height: 100px;
    }

    .navbar .navbar-nav .nav-link {
        margin-right: 0;
        padding: 10px 0;
    }

    .navbar .navbar-nav {
        margin-top: 75px;
        border-top: 1px solid #EEEEEE;
    }
}

@media (min-width: 992px) {
    .navbar .nav-item .dropdown-menu {
        display: block;
        border: none;
        margin-top: 0;
        top: 150%;
        opacity: 0;
        visibility: hidden;
        transition: .5s;
    }

    .navbar .nav-item:hover .dropdown-menu {
        top: 100%;
        visibility: visible;
        transition: .5s;
        opacity: 1;
    }
}


/*** Header ***/
.carousel-caption {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    background: rgba(67 142 186 / 38%);
    z-index: 1;
}

.carousel-control-prev,
.carousel-control-next {
    width: 15%;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    width: 3.5rem;
    height: 3.5rem;
    border-radius: 3.5rem;
    background-color: var(--dark);
    border: 15px solid var(--dark);
}

.logo-img {
    max-width: 100px;
    /* Set a maximum width for each logo */
    max-height: 100px;
    /* Set a maximum height for each logo */
    margin: auto;
    /* This will center the logo in the carousel-item */
    display: block;
    /* This will ensure the margin auto takes effect */
    object-fit: inherit;
    /* This will ensure the logo maintains its aspect ratio */
    border-radius: 8px;
    /* gives rounded edges to the images */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    /* adds a subtle shadow for depth */
    transition: transform 0.3s ease;
    /* smooth transition for scaling effect on hover */
}

.category-logo-img {
    max-width: 100%;
    /* Set a maximum width for each logo */
    height: auto;
    /* Set a maximum height for each logo */
    margin: auto;
    /* This will center the logo in the carousel-item */
    display: block;
    /* This will ensure the margin auto takes effect */
    object-fit: inherit;
    /* This will ensure the logo maintains its aspect ratio */
    border-radius: 8px;
    /* gives rounded edges to the images */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    /* adds a subtle shadow for depth */
    transition: transform 0.3s ease;
    /* smooth transition for scaling effect on hover */
}

.category-logo-img:hover img {
    transform: scale(1.05);
    /* slight zoom effect on hover */
}

.category-colored-logo-img {
    max-width: 100%;
    /* ensures image is not larger than its container */
    height: auto;
    /* maintains aspect ratio */
    object-fit: inherit;
    /* ensures images cover the area without stretching */
    border-radius: 8px;
    /* gives rounded edges to the images */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    /* adds a subtle shadow for depth */
    transition: transform 0.3s ease;
    /* smooth transition for scaling effect on hover */
}

.category-colored-logo-img:hover img {
    transform: scale(1.05);
    /* slight zoom effect on hover */
}

@media (max-width: 768px) {
    #header-carousel .carousel-item {
        position: relative;
        min-height: 450px;
    }

    #header-carousel .carousel-item img {
        position: absolute;
        width: 100%;
        height: 100%;
        object-fit: inherit;
    }
}

@media (max-width: 992px) {
    .carousel-item {
        height: 500px;
        /* Medium height for medium screens */
    }
}

.page-header {
    background: linear-gradient(rgba(136, 180, 78, .7), rgba(136, 180, 78, .7)), url(../img/carousel-1.jpg) center center no-repeat;
    background-size: cover;
}

.page-header .breadcrumb-item+.breadcrumb-item::before {
    color: var(--light);
}

.page-header .breadcrumb-item,
.page-header .breadcrumb-item a {
    font-size: 18px;
    color: var(--light);
}


/*** Section Title ***/
.section-title {
    position: relative;
    margin-bottom: 3rem;
    padding-bottom: 2rem;
}

.section-title::before {
    position: absolute;
    content: "";
    width: 50%;
    height: 2px;
    bottom: 0;
    left: 0;
    background: var(--primary);
}

/*
.section-title::after {
    position: absolute;
    content: "";
    width: 28px;
    height: 28px;
    bottom: -13px;
    left: calc(25% - 13px);
    background: var(--dark);
    border: 10px solid #FFFFFF;
    border-radius: 28px;
} */

.section-title.text-center::before {
    left: 25%;
}

.section-title.text-center::after {
    left: calc(50% - 13px);
}


/*** Products ***/


.product .owl-dots {
    margin-top: 35px;
    display: flex;
    align-items: flex-end;
}

.product-carousel .owl-dot {
    position: relative;
    display: inline-block;
    margin: 0 5px;
    width: 15px;
    height: 15px;
    background: var(--dark);
    border-radius: 15px;
    transition: .5s;
}

.product-carousel .owl-dot.active {
    width: 30px;
    background: var(--primary);
}



.product-carousel .owl-nav {
    display: flex;
    justify-content: center;
    margin-top: 30px;
}

.product-carousel .owl-nav .owl-prev,
.product-carousel .owl-nav .owl-next {
    margin: 0 10px;
    width: 55px;
    height: 55px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFFFFF;
    background: var(--primary);
    border-radius: 55px;
    box-shadow: 0 0 45px rgba(0, 0, 0, .15);
    font-size: 25px;
    transition: .5s;
}

.product-carousel .owl-nav .owl-prev:hover,
.product-carousel .owl-nav .owl-next:hover {
    background: #FFFFFF;
    color: var(--primary);
}

.product-item img {
    height: 100%;
    object-fit: inherit;
}

.product-item {
    height: 450px;
}

@media (max-width: 767px) {
    .product-item {
        height: 200px;
    }
}

@media (max-width: 479px) {
    .product-item {
        height: 150px;
    }
}

.product-item-colored img {
    height: 100%;
    object-fit: inherit;
}

.product-item-colored {
    height: 350px;
}

@media (max-width: 767px) {
    .product-item-colored {
        height: 200px;
    }
}

@media (max-width: 479px) {
    .product-item-colored {
        height: 150px;
    }
}

.logo-item {
    display: flex; /* Enables flexbox layout */
    justify-content: center; /* Center content horizontally */
    align-items: center; /* Center content vertically */
    height: 150px;
    width: 150px;
    overflow: hidden; /* Keeps the image within the bounds of the container */
}

.logo-item img {
    max-width: 100%; /* Ensures the image does not exceed the container's width */
    max-height: 100px; /* Ensures the image does not exceed 100px in height */
    object-fit: contain; /* Keeps the image's aspect ratio within the container */
}



@media (max-width: 767px) {
    .logo-item {
        height: 110px;
        width: 110px;
    }
}

@media (max-width: 479px) {
    .logo-item {
        height: 90px;
        width: 90px;
    }
}


/*** About ***/
.gradient-text {
    background: linear-gradient(to bottom, #b03d98, #292f82);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.video {
    background: linear-gradient(rgba(136, 180, 78, .85), rgba(136, 180, 78, .85)), url(../img/video-bg.jpg) center center no-repeat;
    background-size: cover;
}

.btn-play {
    position: relative;
    display: block;
    box-sizing: content-box;
    width: 65px;
    height: 75px;
    border-radius: 100%;
    border: none;
    outline: none !important;
    padding: 28px 30px 30px 38px;
    background: #FFFFFF;
}

.btn-play:before {
    content: "";
    position: absolute;
    z-index: 0;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 120px;
    height: 120px;
    background: #FFFFFF;
    border-radius: 100%;
    animation: pulse-border 1500ms ease-out infinite;
}

.btn-play:after {
    content: "";
    position: absolute;
    z-index: 1;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 120px;
    height: 120px;
    background: #FFFFFF;
    border-radius: 100%;
    transition: all 200ms;
}

.btn-play span {
    display: block;
    position: relative;
    z-index: 3;
    width: 0;
    height: 0;
    left: 13px;
    border-left: 40px solid var(--primary);
    border-top: 28px solid transparent;
    border-bottom: 28px solid transparent;
}

@keyframes pulse-border {
    0% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1);
        opacity: 1;
    }

    100% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(2);
        opacity: 0;
    }
}

.modal-video .modal-dialog {
    position: relative;
    max-width: 800px;
    margin: 60px auto 0 auto;
}

.modal-video .modal-body {
    position: relative;
    padding: 0px;
}

.modal-video .close {
    position: absolute;
    width: 30px;
    height: 30px;
    right: 0px;
    top: -30px;
    z-index: 999;
    font-size: 30px;
    font-weight: normal;
    color: #FFFFFF;
    background: #000000;
    opacity: 1;
}


/*** Store ***/
.store-item .store-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: rgba(138, 180, 78, .3);
    opacity: 0;
    transition: .5s;
}

.store-item:hover .store-overlay {
    opacity: 1;
}


/*** Contact ***/
.contact .btn-square {
    width: 100px;
    height: 100px;
    border: 20px solid var(--light);
    background: var(--primary);
    border-radius: 50px;
}


/*** Testimonial ***/
.testimonial {
    background: linear-gradient(120deg, #b03d98, #2668cb);
    background-size: cover;
}

.testimonial-item {
    margin: 0 auto;
    max-width: 600px;
    text-align: center;
    background: #FFFFFF;
    border: 30px solid var(--primary);
}

.testimonial-item img {
    width: 60px !important;
    height: 60px !important;
    border-radius: 60px;
}

.testimonial-carousel .owl-dots {
    margin-top: 35px;
    display: flex;
    align-items: flex-end;
    /* justify-content: center; */
}

.testimonial-carousel .owl-dot {
    position: relative;
    display: inline-block;
    margin: 0 5px;
    width: 15px;
    height: 15px;
    background: var(--primary);
    border-radius: 15px;
    transition: .5s;
}

.testimonial-carousel .owl-dot.active {
    width: 30px;
    background: var(--light);
}


/*** Footer ***/
.footer {
    color: var(--light);
}

.footer .btn.btn-link {
    display: block;
    margin-bottom: 5px;
    padding: 0;
    text-align: left;
    color: var(--light);
    font-weight: normal;
    text-transform: capitalize;
    transition: .3s;
}

.footer .btn.btn-link::before {
    position: relative;
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    color: var(--primary);
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    color: var(--light);
    letter-spacing: 1px;
    box-shadow: none;
}

.copyright {
    color: var(--light);
}

.copyright {
    background: #3f549b;
}

.copyright a:hover {
    color: #FFFFFF !important;
}

#action-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 100;
}

/* Additional styling if needed */
.btn-fab {
    border-radius: 50%;
    height: 56px;
    width: 56px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 6px 10px rgba(0, 0, 0, 0.3);
}

/* Style for the dropdown menu */
.dropdown-menu {
    min-width: 0;
    /* to control the width of dropdown */
}


/* Custom styles for the fixed button */
.fixed-action-btn {
    position: fixed;
    bottom: 45px;
    right: 24px;
    z-index: 999;
}

/* Animation for dropdown items */
.dropdown-menu.fadeIn {
    animation-name: fadeIn;
    animation-duration: 0.5s;
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.carousel-item {
    height: 600px;
}

@media only screen and (max-width: 767px) {
    .carousel-item {
        height: auto;
        /* Height is based on content */
    }

    .carousel-item img {
        max-height: 300px;
        /* Adjust this value as needed for mobile devices */
        object-fit: cover;
        /* This will cover the area, you can also use contain if you don't want to crop the image */
    }

    .carousel-control-prev,
    .carousel-control-next {
        top: 40%;
        /* Center vertically */
        bottom: auto;
        /* Prevent extending to the bottom */
        -webkit-transform: translateY(-50%);
        transform: translateY(-50%);
    }

    .carousel-control-prev-icon,
    .carousel-control-next-icon {
        width: 50px;
        /* Smaller size for mobile */
        height: 50px;
        /* Smaller size for mobile */
        background-size: 50px;
        /* Smaller size for mobile */
    }
}

/* You might want to add styles for tablet devices as well */
@media only screen and (min-width: 768px) and (max-width: 991px) {
    .carousel-item img {
        max-height: 400px;
        /* Adjust for tablets */
        object-fit: cover;
    }

    .carousel-control-prev,
    .carousel-control-next {
        top: 40%;
        /* Center vertically */
        bottom: auto;
        /* Prevent extending to the bottom */
        -webkit-transform: translateY(-50%);
        transform: translateY(-50%);
    }

    .carousel-control-prev-icon,
    .carousel-control-next-icon {
        width: 50px;
        /* Smaller size for mobile */
        height: 50px;
        /* Smaller size for mobile */
        background-size: 50px;
        /* Smaller size for mobile */
    }
}


.flags-container {
    display: flex;
    justify-content: center;
    gap: 10px; /* Adjust the spacing between flags */
    margin: 20px 0; /* Space above and below the flags */
}

.country-flag {
    width: 50px; /* Adjust the size as necessary */
    height: 50px; /* Keep this the same as the width for a circle */
    border-radius: 50%; /* This creates the circular shape */
    object-fit: cover; /* Ensures the image covers the area, useful if not already circular */
    border: 2px solid white; /* Optional: adds a white border */
}
